BasicEvaluator (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl
Class BasicEvaluator

    java.lang.Object
      fr.inrialpes.exmo.align.impl.BasicEvaluator

All Implemented Interfaces:
  Evaluator

Direct Known Subclasses:
  ExtPREvaluator, PRecEvaluator, SymMeanEvaluator

    public abstract class BasicEvaluator

extends Object
implements Evaluator

Evaluate proximity between two alignments. This function implements a simple weighted symetric difference. There are many different things to compute in such a function... Add classification per type of objects (Ind, Class, Prop...)

Version:
  $Id: BasicEvaluator.java 831 2008-09-18 19:49:44Z euzenat $
Author:
  Jerome Euzenat

Field Summary
`protected Alignment` | `align1`
`protected Alignment` | `align2`
`protected double` | `result`

Constructor Summary
`BasicEvaluator(Alignment align1, Alignment align2)` Creation

Method Summary
`void` | `write(PrintWriter writer)` Outputs (in XML/RDF) a full report on the proximity of the two ontologies.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.align.Evaluator
`eval, eval`

Field Detail

### result

    protected double result

### align1

    protected Alignment align1

### align2

    protected Alignment align2

Constructor Detail

### BasicEvaluator

    public BasicEvaluator(Alignment align1,
                          Alignment align2)

  Creation

Method Detail

### write

    public void write(PrintWriter writer)
               throws IOException

  Description copied from interface: `Evaluator`
  Outputs (in XML/RDF) a full report on the proximity of the two ontologies.

  Specified by:
    `write` in interface `Evaluator`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010